安装 LEMP 环境 (PHP7)
chenxin

给个文章链接!打起来好烦啊!

JellyBool 回复 @chenxin

https://laravist.com/discuss/laravel/laravel-project-from-scratch-deployment-752

搜一下社区就有了,真心,敲两行命令行而已,也没啥麻烦的。

chenxin 回复 @JellyBool

不是命令行麻烦。是后面的nignx的配置里面麻烦!不过我已经弄好了,找到你那篇文章了!那些基本的安装命令我都会的!反正谢谢了!

JellyBool 回复 @chenxin

恩,我想表达的是:其实这种事情,有时候逼自己一把,这些都很容易就记住了,下次敲命令的时候,啥都不用看,直接敲命令,你就是大神了

chenxin 回复 @JellyBool

嗯嗯!谢谢!

chenxin 回复 @JellyBool

真的觉得您的网站很牛!等到半年会员到期,准备续订!fighting!

JellyCooki

linux+nginx+mysql+php不应该是LNMP吗?为啥叫做LEMP

JellyBool 回复 @JellyCooki

两种都是可以的,我比较偏向后者,LEMP 这个是由于 nginx 的英文发音来的。

HectorChan

sudo LC_ALL=en_US.UTF-8 add-apt-repository ppa:ondrej/php
这里无法添加``提示sudo: add-apt-repository: command not found

JellyBool 回复 @HectorChan

仔细看一下视频吧,视频就有说。

HectorChan 回复 @JellyBool

重新又安裝了一次,但是ubuntu安裝php7.1的時候自動安裝了apache2!!!

wang363858545 回复 @HectorChan

我也是这个问题

JellyBool 回复 @wang363858545

我这没有这个问题,你把 apache2 卸载就好了吧

jimuXue 回复 @JellyBool

我把apache2卸载掉之后直接无法访问了,怎么破

墨生人 回复 @JellyBool

大神,问下mac上面nginx+mysql+php php5.6升级php7.0有需要注意的地方吗,或者有教程吗

JellyBool 回复 @墨生人

mac 就使用 valet 吧,或者你一定要自己搭建的话,使用 Homebrew

brew install mysql
brew install php70
brew install nginx 

基本上就搞定了

墨生人 回复 @JellyBool

好的,我看看

yaoye6262

进入系统 为什么打命令都有点延迟???

JellyBool 回复 @yaoye6262

这是跟网络有关的吧,毕竟是国外的机器

yaoye6262

这些命令和安装 能够在阿里云服务器上使用吗?

JellyBool 回复 @yaoye6262

理论上是可以的,只要你在购买 vps(ecs) 的时候,选择相同的 ubuntu 版本就可以

yaoye6262 回复 @JellyBool

好的!谢谢!

koizora

点了你打的广告连接,也注册了账号,在哪里看是否有$20 ?

JellyBool 回复 @koizora

你需要充值 $10,这样账户就会有 $30 了。

koizora 回复 @JellyBool

OK,我先充值。

JellyBool 回复 @koizora

我刚刚看了一下,貌似 三月份开始,只有 $10 的惠赠了。

koizora 回复 @JellyBool

行,那没关系。已经买完了,继续学习。就是登陆服务器有点卡.

JellyBool 回复 @koizora

OK,你选的是哪个区?貌似现在有 $2.5 的服务器了。

koizora 回复 @JellyBool

$5,先学习。

WhiteInk404

需要先删除系统自带的apache吧,按照您的视频安装之后,我打开的网页是apache的welcome page

JellyBool 回复 @WhiteInk404

看你用的哪家的服务器和哪个版本的ubuntu吧…之前的 ubuntu 是不自带apache的

WhiteInk404 回复 @JellyBool

也是14.04的,不过是阿里云的服务器,anyway,教程做的挺好的,不过,对于我来说,有点吃力,只能先按着步骤一步一步走,遇到问题自己解决起来有点丈二和尚摸不着头脑。

JellyBool 回复 @WhiteInk404

阔以..那是阿里云默认自带了apache吧

WhiteInk404 回复 @JellyBool

可能是,严格按照你的视频步骤做完之后并没能出现laravel那个页面,视频中有一个地方通过composer install --no-dev安装composer.json文件的package时我没有安装成功,不知道是什么问题。
'' [Symfony\Component\Process\Exception\ProcessTimedOutException]
The process "git clone --no-checkout 'https://github.com/bobthecow/psysh.git' '/var/www/easyWe
Chat/vendor/psy/psysh' && cd '/var/www/easyWeChat/vendor/psy/psysh' && git remote add composer
'https://github.com/bobthecow/psysh.git' && git fetch composer" exceeded the timeout of 300 s
econds.

JellyBool 回复 @WhiteInk404

基本上被墙了

f243646842

为什么我按你的步骤走下来 进的竟然是apache2 Ubuntu default page???

jimuXue 回复 @f243646842

我也是 请你你是怎么解决的

laravpan

Jelly 阿里云 Ubuntu 14.04 64位 安装mysql报E: Sub-process /usr/bin/dpkg returned an error code (1)的错误 不知道怎么解决了。

noikiy

window中 ubuntu14.04(阿里云) 怎么把php7.1 换成php5.6 老版本的呢 有些系统他不支持php7高版本部署进去有的地方没有显示?

JellyBool 微信公众号

不定期送书,送键盘,送订阅优惠